<template>
  <div class="error-body">
    <img src="@/assets/images/error_message_system.png">
    
    <p class="header">시스템 오류</p>
    <span class="message">이용에 불편을 드려 죄송합니다.<br>
    일시적인 오류가 발생하였습니다. <br>
    잠시 후 이용하여 주시기 바랍니다.
    </span>
    
    <p class="error-btns">
      <a href="javascript:void(0);" @click="backGo()">이전 페이지로</a><a href="javascript:void(0);" @click="goMain()">메인으로</a>
    </p>
  </div>
</template>

<script>
  
  export default {
    data: function() {
      return {
        
      };
    },
    created() {
      this.$store.commit("login/isErrorPage", true);
    },
    mounted() {
      
    },
    destroyed() {
      this.$store.commit("login/isErrorPage", false);
    },
    methods: {
      // 이전 페이지
      backGo() {
        const beforeUrl = this.$store.getters['login/getBeforeUrl'];
        this.$store.commit("login/isErrorPage", false);
        this.$router.push({ path: beforeUrl }).catch(()=>{          
        });
      },
      // 메인 페이지
      goMain(){
        const rootUrl = this.$store.getters['login/getRootUrl'];
        this.$store.commit("login/isErrorPage", false);
        this.$router.push({ path: rootUrl }).catch(()=>{          
        });
      }
    }
  };
</script>